<div class="card card-bordered card-flush mt-5 mb-xl-10">
    <div role="button" data-bs-toggle="collapse" data-bs-target="#kt_account_profile_details" aria-expanded="true" aria-controls="kt_account_profile_details" class="card-header border-0 cursor-pointer">
       <div class="card-title m-0">
          <h3 class="fw-bolder m-0" i18n>Account settings</h3>
       </div>
    </div>
    <div id="kt_account_profile_details" class="collapse show">
       <div class="card-body border-top p-9">
           <div class="container">
               <div class="row">
                   <div class="col">
                     <div class="row mb-6">
                        <label class="col-lg-2 col-form-label  fw-bold fs-6" i18n>
                           Download data
                        </label>
                        <div class="col-lg-2">
                           <a placement="top" ngbTooltip="{{this.download_data_trans}}" class="btn btn-icon btn-light"><span class="svg-icon svg-icon-1"><svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                              <rect opacity="0.3" x="2" y="2" width="20" height="20" rx="10" fill="black"/>
                              <path d="M11.276 13.654C11.276 13.2713 11.3367 12.9447 11.458 12.674C11.5887 12.394 11.738 12.1653 11.906 11.988C12.0833 11.8107 12.3167 11.61 12.606 11.386C12.942 11.1247 13.1893 10.896 13.348 10.7C13.5067 10.4947 13.586 10.2427 13.586 9.944C13.586 9.636 13.4833 9.356 13.278 9.104C13.082 8.84267 12.69 8.712 12.102 8.712C11.486 8.712 11.066 8.866 10.842 9.174C10.6273 9.482 10.52 9.82267 10.52 10.196L10.534 10.574H8.826C8.78867 10.3967 8.77 10.2333 8.77 10.084C8.77 9.552 8.90067 9.07133 9.162 8.642C9.42333 8.20333 9.81067 7.858 10.324 7.606C10.8467 7.354 11.4813 7.228 12.228 7.228C13.1987 7.228 13.9687 7.44733 14.538 7.886C15.1073 8.31533 15.392 8.92667 15.392 9.72C15.392 10.168 15.322 10.5507 15.182 10.868C15.042 11.1853 14.874 11.442 14.678 11.638C14.482 11.834 14.2253 12.0533 13.908 12.296C13.544 12.576 13.2733 12.8233 13.096 13.038C12.928 13.2527 12.844 13.528 12.844 13.864V14.326H11.276V13.654ZM11.192 15.222H12.928V17H11.192V15.222Z" fill="black"/>
                              </svg>
                              </span>
                           </a>
                        </div>
                        <div class="col-lg-8 fv-row">
                         <button (click)="exportDownloadedData()" type="button" class="btn btn-primary" i18n>Download data</button> 
                         </div>  
                     </div>
                     <hr class=" mt-6 mb-6 bg-primary border-1 border-top border-primary mx-auto">

                      <div class="row">
                          <label class="col-lg-4 col-form-label  fw-bold fs-6" i18n>Change password</label>
                          <div class="col-lg-8 fv-row">
                             <button (click)="resetPassword()" type="button" class="btn btn-dark" i18n>Change password</button>   
                         </div>
                       </div>
                     <hr class=" mt-6 mb-6 bg-primary border-1 border-top border-primary mx-auto">

                       <div class="row">
                          <label class="col-lg-4 col-form-label  fw-bold fs-6" i18n>Delete account</label>
                          <div class="col-lg-8 fv-row">
                           <button (click)="openDeleteAccountModal(delete_account_content)" type="button" class="btn btn-danger" i18n>Delete account</button>   
                       </div>
                     </div>
                   </div>
               </div>
           </div>
       </div>
       <div class="card-footer d-flex justify-content-end py-6 px-9">
       </div>
    </div>
 </div>


 <div class="card card-bordered card-flush mt-5 mb-xl-10">
   <div role="button" data-bs-toggle="collapse" data-bs-target="#kt_account_profile_details" aria-expanded="true" aria-controls="kt_account_profile_details" class="card-header border-0 cursor-pointer">
      <div class="card-title m-0">
         <h3 class="fw-bolder m-0" i18n>User Id</h3>
      </div>
   </div>
   <div id="kt_account_profile_details" class="collapse show">
      <div class="card-body border-top p-9">
         <div class="row mb-5">
            <p i18n>This code is used to identify your user. When a sweepstake is finished, the ID of the winner will be published.</p>
         </div>
          <div class="row mt-5">
             <div class="col-lg-8">
               <h2 class="text-primary">{{this.user_id}}</h2>
             </div>
          </div>
         </div>
   </div>
</div>

 <div class="card card-bordered card-flush mt-5 mb-xl-10">
   <div role="button" data-bs-toggle="collapse" data-bs-target="#kt_account_profile_details" aria-expanded="true" aria-controls="kt_account_profile_details" class="card-header border-0 cursor-pointer">
      <div class="card-title m-0">
         <h3 class="fw-bolder m-0" i18n>Invite friends</h3>
      </div>
   </div>
   <div id="kt_account_profile_details" class="collapse show">
      <div class="card-body border-top p-9">
         <div class="row mb-5">
            <p i18n>You can invite friends with this referral link, you will earn <strong>350 points</strong> if the invited user earns <strong>100 points</strong>.</p>
         </div>
          <div class="row mt-5">
             <div class="col-lg-4">
               <div class="input-group">
                  <input readonly type="text" class="form-control" value="{{this.referralLink}}" />
                  <button (click)="onCopy()" ngxClipboard [cbContent]="this.referralLink" id='copy-button' class="btn btn-primary">
                      {{btn_val}}
                  </button>
               </div>
             </div>
          </div>
         </div>
   </div>
</div>

<p class="text-muted fs-4">Version 0.1 <strong> - </strong> 22/04/2022</p>

<!-- DELETE MODAL START -->
<ng-template #delete_account_content let-modal>
   <div class="modal-header">
       <h4 class="modal-title" id="modal-title" i18n>Delete account</h4>
       <button type="button" class="close" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')">
       <span aria-hidden="true">&times;</span>
       </button>
     </div>
     <div class="modal-body">
         <p i18n>Are you sure you want to delete your account? All the data will be erased forever and you will be unable to recover it.</p>
     </div>
     <div class="modal-footer">
         <button type="button" class="btn btn-secondary" (click)="modal.dismiss('cancel click')" i18n>Cancel</button>
         <button type="button" class="btn btn-danger" (click)="modal.close('confirm delete')" i18n>Delete</button>
     </div>
 </ng-template>
 <!-- DELETE MODAL END -->